﻿<%@ Page Language="C#" AutoEventWireup="true" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Wisej to ASP.Net</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background: linear-gradient(135deg, #ff9a9e, #fad0c4);
            color: #333;
            text-align: center;
            padding: 2rem;
        }
        .result {
            margin-top: 2rem;
            padding: 1rem;
            border: 2px solid #fff;
            background-color: rgba(255, 255, 255, 0.8);
            border-radius: 10px;
            box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
            display: none;
            transition: all 0.3s ease;
        }
        button {
            background-color: #6a11cb;
            background-image: linear-gradient(315deg, #6a11cb 0%, #2575fc 74%);
            border: none;
            color: white;
            padding: 10px 20px;
            font-size: 1.2rem;
            border-radius: 5px;
            cursor: pointer;
            transition: background-color 0.3s;
        }
        button:hover {
            background-color: #2575fc;
        }
    </style>
    <script>
        function callSampleFunction() {

            var result;
            window.parent.App.Window1.SampleCall(function(r){ 
            
            const resultContainer = document.getElementById("resultContainer");
            resultContainer.innerHTML = `
                <h3>Result:</h3>
               <p><strong>Id:</strong> ${r.id}</p>
              <p><strong>Message:</strong> ${r.message}</p>
              <p><strong>Timestamp:</strong> ${r.timestamp}</p>
            `;
            resultContainer.style.display = "block";
            
            })
            
        }
    </script>
</head>
<body>
    <h1>Wisej to ASP.Net</h1>
    <p>Click the button below to call <code>App.Window1.SampleCall()</code>.</p>
    <button onclick="callSampleFunction()">Call C# Function</button>
    <div id="resultContainer" class="result"></div>
</body>
</html>
